## mx4j.tools.connector.rmi
Class RemoteNotificationListenerSupport

    java.lang.Object
      mx4j.tools.connector.rmi.RemoteNotificationListenerSupport

All Implemented Interfaces:
  java.util.EventListener, javax.management.NotificationListener, java.io.Serializable

Direct Known Subclasses:
  IIOPRemoteNotificationListenerSupport, JRMPRemoteNotificationListenerSupport

public abstract class RemoteNotificationListenerSupport
extends java.lang.Object
implements javax.management.NotificationListener, java.io.Serializable

This class is serialized from client to the server, and forwards calls to remote listener.

It shadows the fact that the listener is an RMI remote object.

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Constructor Summary
`RemoteNotificationListenerSupport(javax.management.NotificationListener clientListener)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`protected abstract void` `export()`
`protected mx4j.tools.connector.rmi.RemoteNotificationListener` `getRemoteNotificationListener()`
`void` `handleNotification(javax.management.Notification notification, java.lang.Object handback)`
`int` `hashCode()`
`protected abstract void` `unexport()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteNotificationListenerSupport

    public RemoteNotificationListenerSupport(javax.management.NotificationListener clientListener)

Method Detail

### export

    protected abstract void export()
                            throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### unexport

    protected abstract void unexport()
                              throws java.rmi.NoSuchObjectException

  Throws:
    `java.rmi.NoSuchObjectException`

### getRemoteNotificationListener

    protected mx4j.tools.connector.rmi.RemoteNotificationListener getRemoteNotificationListener()

### handleNotification

    public final void handleNotification(javax.management.Notification notification,
                                         java.lang.Object handback)

  Specified by:
    `handleNotification` in interface `javax.management.NotificationListener`

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object obj)

Copyright © 2001-2003 MX4J Team. All Rights Reserved.